org.keycloak.admin.client.resource

## Interface UsersResource

-     public interface UsersResource

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `count()` Returns the number of users that can be viewed.
    `Integer` | `count(String search)` Returns the number of users that can be viewed and match the given search criteria.
    `Integer` | `count(String last, String first, String email, Boolean emailVerified, String username)` Returns the number of users that can be viewed and match the given filters.
    `Integer` | `count(String last, String first, String email, String username)` Returns the number of users that can be viewed and match the given filters.
    `Integer` | `countEmailVerified(Boolean emailVerified)` Returns the number of users with the given status for emailVerified.
    `javax.ws.rs.core.Response` | `create(UserRepresentation userRepresentation)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `UserResource` | `get(String id)`
    `List<UserRepresentation>` | `list()`
    `List<UserRepresentation>` | `list(Integer firstResult, Integer maxResults)`
    `List<UserRepresentation>` | `search(Boolean emailVerified, Integer firstResult, Integer maxResults, Boolean enabled, Boolean briefRepresentation)`
    `List<UserRepresentation>` | `search(String username)`
    `List<UserRepresentation>` | `search(String username, Boolean exact)`
    `List<UserRepresentation>` | `search(String search, Integer firstResult, Integer maxResults)` Search for users whose username or email matches the value provided by `search`.
    `List<UserRepresentation>` | `search(String search, Integer firstResult, Integer maxResults, Boolean briefRepresentation)` Search for users whose username or email matches the value provided by `search`.
    `List<UserRepresentation>` | `search(String username, String firstName, String lastName, String email, Boolean emailVerified, Integer firstResult, Integer maxResults, Boolean enabled, Boolean briefRepresentation)`
    `List<UserRepresentation>` | `search(String username, String firstName, String lastName, String email, Boolean emailVerified, String idpAlias, String idpUserId, Integer firstResult, Integer maxResults, Boolean enabled, Boolean briefRepresentation)` Search for users based on the given filters.
    `List<UserRepresentation>` | `search(String username, String firstName, String lastName, String email, Integer firstResult, Integer maxResults)`
    `List<UserRepresentation>` | `search(String username, String firstName, String lastName, String email, Integer firstResult, Integer maxResults, Boolean enabled, Boolean briefRepresentation)`
    `UserProfileResource` | `userProfile()`

- - ### Method Detail

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username,
                                                                                    @QueryParam(value="firstName")
                                                                                    String firstName,
                                                                                    @QueryParam(value="lastName")
                                                                                    String lastName,
                                                                                    @QueryParam(value="email")
                                                                                    String email,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username,
                                                                                    @QueryParam(value="firstName")
                                                                                    String firstName,
                                                                                    @QueryParam(value="lastName")
                                                                                    String lastName,
                                                                                    @QueryParam(value="email")
                                                                                    String email,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults,
                                                                                    @QueryParam(value="enabled")
                                                                                    Boolean enabled,
                                                                                    @QueryParam(value="briefRepresentation")
                                                                                    Boolean briefRepresentation)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username,
                                                                                    @QueryParam(value="firstName")
                                                                                    String firstName,
                                                                                    @QueryParam(value="lastName")
                                                                                    String lastName,
                                                                                    @QueryParam(value="email")
                                                                                    String email,
                                                                                    @QueryParam(value="emailVerified")
                                                                                    Boolean emailVerified,
                                                                                    @QueryParam(value="idpAlias")
                                                                                    String idpAlias,
                                                                                    @QueryParam(value="idpUserId")
                                                                                    String idpUserId,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults,
                                                                                    @QueryParam(value="enabled")
                                                                                    Boolean enabled,
                                                                                    @QueryParam(value="briefRepresentation")
                                                                                    Boolean briefRepresentation)

      Search for users based on the given filters.
      Parameters:
        `username` - a value contained in username
        `firstName` - a value contained in first name
        `lastName` - a value contained in last name
        `email` - a value contained in email
        `emailVerified` - whether the email has been verified
        `idpAlias` - the alias of the Identity Provider
        `idpUserId` - the userId at the Identity Provider
        `firstResult` - the position of the first result to retrieve
        `maxResults` - the maximum number of results to retrieve
        `enabled` - only return enabled or disabled users
        `briefRepresentation` - Only return basic information (only guaranteed to return id, username, created, first and last name, email, enabled state, email verification state, federation link, and access. Note that it means that namely user attributes, required actions, and not before are not returned.)
      Returns:
        a list of `UserRepresentation`

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username,
                                                                                    @QueryParam(value="firstName")
                                                                                    String firstName,
                                                                                    @QueryParam(value="lastName")
                                                                                    String lastName,
                                                                                    @QueryParam(value="email")
                                                                                    String email,
                                                                                    @QueryParam(value="emailVerified")
                                                                                    Boolean emailVerified,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults,
                                                                                    @QueryParam(value="enabled")
                                                                                    Boolean enabled,
                                                                                    @QueryParam(value="briefRepresentation")
                                                                                    Boolean briefRepresentation)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="emailVerified")
                                                                                    Boolean emailVerified,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults,
                                                                                    @QueryParam(value="enabled")
                                                                                    Boolean enabled,
                                                                                    @QueryParam(value="briefRepresentation")
                                                                                    Boolean briefRepresentation)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="username")
                                                                                    String username,
                                                                                    @QueryParam(value="exact")
                                                                                    Boolean exact)

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="search")
                                                                                    String search,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults)

      Search for users whose username or email matches the value provided by `search`. The `search` argument also allows finding users by specific attributes as follows:
      - id: - Find users by identifier. For instance, id:aa497859-bbf5-44ac-bf1a-74dbffcaf197
      Parameters:
        `search` - the value to search. It can be the username, email or any of the supported options to query based on user attributes
        `firstResult` - the position of the first result to retrieve
        `maxResults` - the maximum number of results to retreive
      Returns:
        a list of `UserRepresentation`

    - #### search

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> search(@QueryParam(value="search")
                                                                                    String search,
                                                                                    @QueryParam(value="first")
                                                                                    Integer firstResult,
                                                                                    @QueryParam(value="max")
                                                                                    Integer maxResults,
                                                                                    @QueryParam(value="briefRepresentation")
                                                                                    Boolean briefRepresentation)

      Search for users whose username or email matches the value provided by `search`. The `search` argument also allows finding users by specific attributes as follows:
      - id: - Find users by identifier. For instance, id:aa497859-bbf5-44ac-bf1a-74dbffcaf197
      Parameters:
        `search` - the value to search. It can be the username, email or any of the supported options to query based on user attributes
        `firstResult` - the position of the first result to retrieve
        `maxResults` - the maximum number of results to retreive
        `briefRepresentation` - Only return basic information (only guaranteed to return id, username, created, first and last name, email, enabled state, email verification state, federation link, and access. Note that it means that namely user attributes, required actions, and not before are not returned.)
      Returns:
        a list of `UserRepresentation`

    - #### list

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> list(@QueryParam(value="first")
                                                                                  Integer firstResult,
                                                                                  @QueryParam(value="max")
                                                                                  Integer maxResults)

    - #### list

          @GET
           @Produces(value="application/json")
          List<UserRepresentation> list()

    - #### create

          @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response create(UserRepresentation userRepresentation)

    - #### count

          @Path(value="count")
           @GET
           @Produces(value="application/json")
          Integer count()

      Returns the number of users that can be viewed.
      Returns:
        number of users

    - #### count

          @Path(value="count")
           @GET
           @Produces(value="application/json")
          Integer count(@QueryParam(value="search")
                                                                                        String search)

      Returns the number of users that can be viewed and match the given search criteria. If none is specified this is equivalent to {`count()`}.
      Parameters:
        `search` - criteria to search for
      Returns:
        number of users matching the search criteria

    - #### count

          @Path(value="count")
           @GET
           @Produces(value="application/json")
          Integer count(@QueryParam(value="lastName")
                                                                                        String last,
                                                                                        @QueryParam(value="firstName")
                                                                                        String first,
                                                                                        @QueryParam(value="email")
                                                                                        String email,
                                                                                        @QueryParam(value="username")
                                                                                        String username)

      Returns the number of users that can be viewed and match the given filters. If none of the filters is specified this is equivalent to {`count()`}.
      Parameters:
        `last` - last name field of a user
        `first` - first name field of a user
        `email` - email field of a user
        `username` - username field of a user
      Returns:
        number of users matching the given filters

    - #### count

          @Path(value="count")
           @GET
           @Produces(value="application/json")
          Integer count(@QueryParam(value="lastName")
                                                                                        String last,
                                                                                        @QueryParam(value="firstName")
                                                                                        String first,
                                                                                        @QueryParam(value="email")
                                                                                        String email,
                                                                                        @QueryParam(value="emailVerified")
                                                                                        Boolean emailVerified,
                                                                                        @QueryParam(value="username")
                                                                                        String username)

      Returns the number of users that can be viewed and match the given filters. If none of the filters is specified this is equivalent to {`count()`}.
      Parameters:
        `last` - last name field of a user
        `first` - first name field of a user
        `email` - email field of a user
        `emailVerified` - emailVerified field of a user
        `username` - username field of a user
      Returns:
        number of users matching the given filters

    - #### countEmailVerified

          @Path(value="count")
           @GET
           @Produces(value="application/json")
          Integer countEmailVerified(@QueryParam(value="emailVerified")
                                                                                                     Boolean emailVerified)

      Returns the number of users with the given status for emailVerified. If none of the filters is specified this is equivalent to {`count()`}.
      Parameters:
        `emailVerified` - emailVerified field of a user
      Returns:
        number of users matching the given filters

    - #### get

          @Path(value="{id}")
          UserResource get(@PathParam(value="id")
                                               String id)

    - #### delete

          @Path(value="{id}")
           @DELETE
          javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                        String id)

    - #### userProfile

          @Path(value="profile")
          UserProfileResource userProfile()

Copyright © 2021 JBoss by Red Hat. All rights reserved.